<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Name: Cause of death primary
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927">
   <title>Cause of death primary</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]
Item: (CauseOfDeathPrimary)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']"
         id="tmp-r-0c66d0e1-2e63-4d78-8de5-fa1fe9634e93">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@classCode)='OBS'">(CauseOfDeathPrimary): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CauseOfDeathPrimary): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@moodCode)='EVN'">(CauseOfDeathPrimary): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CauseOfDeathPrimary): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/@nullFlavor)">(CauseOfDeathPrimary): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'])&lt;=1">(CauseOfDeathPrimary): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(CauseOfDeathPrimary): element hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(CauseOfDeathPrimary): element hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']])&lt;=1">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]/@nullFlavor)">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']])&lt;=1">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']"
         id="tmp-r-df7e8a27-27e4-4de0-9c43-09b1539f3c7c">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CauseOfDeathPrimary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.18'">(CauseOfDeathPrimary): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.18' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-23e77452-8a9f-4918-b229-f17c1b90d0ed">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CauseOfDeathPrimary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="@nullFlavor or (@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Immediate cause of natural death')">(CauseOfDeathPrimary): de elementwaarde MOET een zijn van 'code '71000146108' codeSystem '2.16.840.1.113883.6.96' displayName='Immediate cause of natural death''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]
Item: (CauseOfDeathPrimary)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(CauseOfDeathPrimary): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CauseOfDeathPrimary): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]
Item: (CauseOfDeathPrimary)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(CauseOfDeathPrimary): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CauseOfDeathPrimary): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
