<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Name: Related problem
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927">
   <title>Related problem</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]
Item: (RelatedProblem)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']
Item: (RelatedProblem)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']"
         id="tmp-r-c1aa526d-3ff7-40d5-a0b9-411765788c41">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="string(@classCode)='OBS'">(RelatedProblem): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(RelatedProblem): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="string(@moodCode)='EVN'">(RelatedProblem): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(RelatedProblem): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/@nullFlavor)">(RelatedProblem): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22'])&lt;=1">(RelatedProblem): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(RelatedProblem): element hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(RelatedProblem): element hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']])&lt;=1">(RelatedProblem): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']])&lt;=1">(RelatedProblem): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']
Item: (RelatedProblem)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']"
         id="tmp-r-3e6c42bf-e710-4c8d-9711-e8ea15aa6b18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedProblem): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.22'">(RelatedProblem): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.22' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (RelatedProblem)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:code[(@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5851ebbf-edef-43c5-8dcc-b23c6220942c">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedProblem): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="@nullFlavor or (@code='91000146107' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Conditions contributing but not causing death')">(RelatedProblem): de elementwaarde MOET een zijn van 'code '91000146107' codeSystem '2.16.840.1.113883.6.96' displayName='Conditions contributing but not causing death''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]
Item: (RelatedProblem)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(RelatedProblem): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(RelatedProblem): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.22
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]
Item: (RelatedProblem)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.22']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(RelatedProblem): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.22-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(RelatedProblem): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
