<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Name: Traffic accident role deceased
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200">
   <title>Traffic accident role deceased</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]
Item: (TrafficAccidentRoleDeceased)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']
Item: (TrafficAccidentRoleDeceased)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']"
         id="tmp-r-82c51e29-9660-475f-8522-78199afb8592">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="string(@classCode)='OBS'">(TrafficAccidentRoleDeceased): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(TrafficAccidentRoleDeceased): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="string(@moodCode)='EVN'">(TrafficAccidentRoleDeceased): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(TrafficAccidentRoleDeceased): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/@nullFlavor)">(TrafficAccidentRoleDeceased): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28'])&lt;=1">(TrafficAccidentRoleDeceased): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(TrafficAccidentRoleDeceased): element hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(TrafficAccidentRoleDeceased): element hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(TrafficAccidentRoleDeceased): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(TrafficAccidentRoleDeceased): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']
Item: (TrafficAccidentRoleDeceased)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']"
         id="tmp-r-eab3537e-ba26-46d2-bf66-afe44013dd89">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrafficAccidentRoleDeceased): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.28'">(TrafficAccidentRoleDeceased): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.28' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (TrafficAccidentRoleDeceased)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:code[(@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-57457eea-23f1-417e-b769-296a15bdd2fb">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrafficAccidentRoleDeceased): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="@nullFlavor or (@code='69451-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Transportation role of decedent')">(TrafficAccidentRoleDeceased): de elementwaarde MOET een zijn van 'code '69451-3' codeSystem '2.16.840.1.113883.6.1' displayName='Transportation role of decedent''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (TrafficAccidentRoleDeceased)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-8d632693-912d-4bb7-aa31-f6ec1ac768c3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrafficAccidentRoleDeceased): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(TrafficAccidentRoleDeceased): de elementwaarde MOET een zijn van 'VerkeersDeelnemers Verkeersdeelnemers (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.104.11.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.28-2014-03-04T143200.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(TrafficAccidentRoleDeceased): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst VerkeersDeelnemers Verkeersdeelnemers (DYNAMISCH).</assert>
   </rule>
</pattern>
