<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Name: Death data limited section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322">
   <title>Death data limited section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]
Item: (DeathDataLimitedSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']
Item: (DeathDataLimitedSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']"
         id="tmp-r-c3b8eb48-a41e-49d7-8f54-6b5ed17b54fe">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/@nullFlavor)">(DeathDataLimitedSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39'])&lt;=1">(DeathDataLimitedSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(DeathDataLimitedSection): element hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(DeathDataLimitedSection): element hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(DeathDataLimitedSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:text)&lt;=1">(DeathDataLimitedSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/@nullFlavor)">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]/@nullFlavor)">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]/@nullFlavor)">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']])&gt;=1 and not(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]/@nullFlavor)">(DeathDataLimitedSection): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']])&gt;=1 and not(hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]/@nullFlavor)">(DeathDataLimitedSection): element hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']])&lt;=1">(DeathDataLimitedSection): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']
Item: (DeathDataLimitedSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']"
         id="tmp-r-e311c4be-05cf-4810-8667-f9fdb7f405e9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataLimitedSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.39'">(DeathDataLimitedSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.39' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (DeathDataLimitedSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:code[(@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fbc38e4a-55af-427b-ad31-78d4508b280e">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataLimitedSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="@nullFlavor or (@code='64297-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Death certificate')">(DeathDataLimitedSection): de elementwaarde MOET een zijn van 'code '64297-5' codeSystem '2.16.840.1.113883.6.1' displayName='Death certificate''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:text
Item: (DeathDataLimitedSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:text"
         id="tmp-r-7599d70a-3447-4635-8df4-5a676b1dc98e">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataLimitedSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.40']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]
Item: (DeathDataLimitedSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.39']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataLimitedSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.39-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataLimitedSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
