<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Name: Date of death
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916">
   <title>Date of death</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]
Item: (DateOfDeath)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']
Item: (DateOfDeath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']"
         id="tmp-r-117db353-84ba-46cd-bef3-9f7df74dc1d8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="string(@classCode)='OBS'">(DateOfDeath): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(DateOfDeath): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="string(@moodCode)='EVN'">(DateOfDeath): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(DateOfDeath): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/@nullFlavor)">(DateOfDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6'])&lt;=1">(DateOfDeath): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(DateOfDeath): element hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(DateOfDeath): element hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(DateOfDeath): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="count(hl7:effectiveTime)&lt;=1">(DateOfDeath): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']
Item: (DateOfDeath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']"
         id="tmp-r-24a38fb0-7b49-46df-83ea-d75793441eb0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.6'">(DateOfDeath): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (DateOfDeath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:code[(@code='399753006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-68107379-598a-4021-b744-b8d08dba2eef">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DateOfDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="@nullFlavor or (@code='399753006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Date of death')">(DateOfDeath): de elementwaarde MOET een zijn van 'code '399753006' codeSystem '2.16.840.1.113883.6.96' displayName='Date of death''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:effectiveTime
Item: (DateOfDeath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']/hl7:effectiveTime"
         id="tmp-r-30cd9e56-82d3-4848-94b0-f82f369017cc">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20150205T152216/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.6-2014-02-18T170916.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DateOfDeath): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
